package com.abbidot.tracker.dialog

import android.content.Context
import com.abbidot.baselibrary.list.BaseRecyclerAdapter
import com.abbidot.tracker.base.BaseDialog
import com.abbidot.tracker.databinding.DialogSelectMapLayoutBinding
import com.abbidot.tracker.util.ViewUtil

/**
 *Created  by .yzq on 2022/1/7/007.
 * @link
 * @description:选择多个地图导航列表弹窗
 */
class SelectMapListDialog(
        context: Context,
        adapter: BaseRecyclerAdapter<*>
) : BaseDialog<DialogSelectMapLayoutBinding>(DialogSelectMapLayoutBinding::inflate, context) {

    private var mAdapter = adapter


    override fun initView() {
        ViewUtil.instance.setRecyclerViewVerticalLinearLayout(context, mViewBinding.selectMapRecyclerView,
                mAdapter, bottom = 40)

        mViewBinding.btnCancelSelectMap.let {
            it.setChangeAlphaWhenPress(true)
            it.setOnClickListener {
                dismiss()
            }
        }
    }
}